# $Revision: 1.33 $, $Date: 2004/07/14 06:15:17 $
Summary:	Morpheus - a mesh (3D model) viewer for GNOME desktop
Summary(pl):	Morpheus - przegldarka dla projektw 3D
Name:		morpheus
Version:	0.3
Release:	7
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://wine.sexcity.pl/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	23f9af3e8b1ed538fb98a6f686c84dc7
Patch0:		%{name}-gtkgl.patch
Patch1:		%{name}-desktop.patch
URL:		http://wine.sexcity.pl/morpheus/
BuildRequires:	ORBit-devel >= 0.5.0
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	gtkglarea-devel >= 1.2.0
BuildRequires:	libmorph-devel >= 0.1.2
BuildRequires:	libtool
BuildRequires:	zlib-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Morpheus is a mesh (3D model) viewer for GNOME desktop. It uses OpenGL
as rendering API. It supports 3D Studio and LightWave formats (via
libmorph).

%description -l pl
Morpheus to przegldarka siatek (modeli 3D) dla rodowiska GNOME.
Uywa OpenGL jako API do renderowania. Obsuguje (poprzez libmorph)
formaty 3D Studio i LightWave.

Morpheus jest przegldark dla projektw 3D. Posiada support dla 3D
Studio i LightWave.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}/morpheus

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	utildir=%{_desktopdir}

install pixmaps/* $RPM_BUILD_ROOT%{_pixmapsdir}/morpheus

echo 'Categories=Graphics;Viewer;' >> $RPM_BUILD_ROOT%{_desktopdir}/morpheus.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/morpheus
%{_desktopdir}/morpheus.desktop
%{_pixmapsdir}/morpheus

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: morpheus.spec,v $
Revision 1.33  2004/07/14 06:15:17  ankry
- desktop fixed, rel. 7

Revision 1.32  2004/04/01 20:58:24  qboosh
- oops, use buildroot when adding Categories

Revision 1.31  2004/04/01 20:54:04  qboosh
- switched to vfolders, desc cleanups, release 6 for Ac

Revision 1.30  2003/05/28 14:07:37  malekith
- use %{name}, not %name

Revision 1.29  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/01/18 22:53:35  juandon
- removed two lines with define

Revision 1.26  2002/10/09 09:50:11  qboosh
- BR: libtool

Revision 1.25  2002/08/26 12:10:25  kloczek
- more macroc.

Revision 1.24  2002/07/13 20:51:47  blues
- release 5
- gtkgl patch - add missing library to linking
- finally it build....
STBR

Revision 1.23  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.22  2002/05/21 23:14:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/08 23:06:25  blues
- added ac/am regeneration
NOTE: still does not build

Revision 1.16  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.15  2001/03/03 14:53:06  kloczek
- release 4,
- added missing gnome-libs-devel BuildRequires,
- rebuild on new gnome-libs linked with audiofile 0.2.1,
- added better Summary.

Revision 1.14  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.13  2000/10/30 10:07:33  kloczek
- release 3: rebuild against gnome-libs linked with db3 and use new rpm
  automation.

Revision 1.12  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.11  2000/06/09 16:51:50  kloczek
- release 2,
- recompiled against XFree86 4.0 OpenGL libraries.

Revision 1.10  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.7  2000/04/20 06:45:35  cieciwa
- changed BuildRequires:
		from Mesa-devel to OpenGL-devel.

Revision 1.6  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/31 13:47:57  kloczek
- spec adapterized,
- added using %%configure macro in %build,
- install desktop file in proper place,
- some cosmetics.

Revision 1.4  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 13:25:41  cieciwa
- fixes "Buildrequires".

Revision 1.2  2000/03/28 13:05:24  cieciwa
- release 1, lookslike it works.

Revision 1.1  2000/03/28 11:51:28  cieciwa
- initial spec.
